(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer_1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#282425").s().p("AghAiQgOgOABgUQgBgTAOgOQAOgOATAAQATAAAPAOQANAOAAATQAAAUgNAOQgPAOgTAAQgTAAgOgOg");
	this.shape.setTransform(18.7,-9.5);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#282425").s().p("AghAhQgOgNAAgUQAAgTAOgNQAOgPATAAQAUAAAOAPQAOANAAATQAAAUgOANQgOAOgUABQgTgBgOgOg");
	this.shape_1.setTransform(-19.7,-8.8);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#282425").s().p("AgEBgQhkgBhLguQhRgxgShQQAnBHBNAnQBJAmBWAAQBWgBBKgoQBPgrAqhQQgVBghVAzQhKAuhhAAIgFgBg");
	this.shape_2.setTransform(0.4,15.4,1,0.746,180);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.lf(["#FF9D3E","#FFC93E"],[0,1],0,-43.1,0,43.2).s().p("AkwExQh/h/AAiyQAAixB/h/QB/h/CxAAQCyAAB/B/QB/B/AACxQAACyh/B/Qh/B/iyAAQixAAh/h/g");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_3},{t:this.shape_2},{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-43.2,-43.1,86.4,86.4);


(lib.iisgeeswg = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#D2473C").s().p("AA3CjIkRkSIAAgBIAxgxQALgLAQAAQAPAAALALIDhDhQALALAQAAQAPAAALgLIAxgxQAJAKgBAOQgBAPgJAKIhkBjQgLALgQgBQgQABgLgLg");
	this.shape.setTransform(97,101.7);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer 3
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#F15642").s().p("AA7DVIkOkPQgLgLAAgQQAAgQALgLIBjhjQALgLAQAAQAPAAAMALIEPEPQALAKgBARQABAPgLAMIhkBjQgLAKgQAAQgQAAgLgKg");
	this.shape_1.setTransform(96.7,96.7);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	// Layer 4
	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#123247").s().p("AF3FvIhthtQgJgJgOgBQgOgBgMAIQg+AshJATQhOAThQgLQiEgShhhfQhhhfgUiDQgPhlAgheQAehbBEhDIA0A0Qg0A0gZBFQgbBIAIBNQAMB1BUBVQBVBUB2ANQBMAHBJgaQBEgaA0g0IDTDRg");
	this.shape_2.setTransform(42.8,48.8);

	this.timeline.addTween(cjs.Tween.get(this.shape_2).wait(1));

	// Layer 5
	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("rgba(171,225,250,0.4)").s().p("Ai5EJQhHgkguhAQBYA/BtAAQCJAABihhQBjhjAAiKQAAhqhBhaQBBAwAkBFQAmBIAABSQAACJhjBjQhhBiiKAAQhRAAhJgmg");
	this.shape_3.setTransform(44.1,44.1);

	this.timeline.addTween(cjs.Tween.get(this.shape_3).wait(1));

	// Layer 6
	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#35495C").s().p("ADmEaQhxBfiUAAQipAAh4h4Qh4h4AAioQAAipB4h4QB4h4CpAAQCpAAB3B4QB4B5AACoQAACUhfBxICfCeIg1A1gAkMkLQhhBhAACLQAACJBhBjQBjBiCKAAQCKAABhhiQBjhjAAiJQAAiKhjhiQhhhjiKAAQiKAAhjBjg");
	this.shape_4.setTransform(44.1,44.1);

	this.timeline.addTween(cjs.Tween.get(this.shape_4).wait(1));

	// Layer 7
	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("rgba(255,255,255,0.498)").s().p("AiUCCQAAhzBShRQBRhSBzAAQAIAAAFAGQAGAGAAAHQAAAIgGAGQgFAFgIAAQhkAAhGBGQhGBHAABjQAAAJgGAFQgGAFgHAAQgTAAAAgTg");
	this.shape_5.setTransform(27.9,27.9);

	this.timeline.addTween(cjs.Tween.get(this.shape_5).wait(1));

	// Layer 8
	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("rgba(199,234,251,0.4)").s().p("AjsDtQhihjAAiKQAAiKBihhQBihjCKAAQCKAABiBjQBjBiAACJQAACKhjBjQhiBiiKAAQiKAAhihig");
	this.shape_6.setTransform(40.9,40.9);

	this.timeline.addTween(cjs.Tween.get(this.shape_6).wait(1));

}).prototype = getMCSymbolPrototype(lib.iisgeeswg, new cjs.Rectangle(0,0,119,119), null);


(lib.jfowegowe = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.iisgeeswg();
	this.instance.parent = this;
	this.instance.setTransform(59.5,59.5,1,1,0,0,0,59.5,59.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.17,scaleY:1.17,x:64.5,y:64.5},14).wait(7).to({scaleX:1,scaleY:1,x:59.5,y:59.5},13).wait(8));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,119,119);


(lib.afauighfaig = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_14 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).wait(14).call(this.frame_14).wait(1));

	// iisgeeswg
	this.instance = new lib.jfowegowe();
	this.instance.parent = this;
	this.instance.setTransform(148.4,149.4,1.176,1.176,0,0,0,59.6,59.6);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:122.2,y:132.2,alpha:1},7).wait(8));

	// Layer_3 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("AlTFUQiNiNAAjHIAAAAQAAjGCNiNIAAAAQCNiMDGAAIAAAAQDHAACNCMIAAAAQCNCNAADGIAAAAQAADHiNCNIAAAAQiNCMjHAAIAAAAQjGAAiNiMg");
	mask.setTransform(99.6,110.1);

	// OBJECTS copy
	this.instance_1 = new lib.Symbol1("synched",0);
	this.instance_1.parent = this;
	this.instance_1.setTransform(64.3,137.5,1.413,1.413);
	this.instance_1.alpha = 0;
	this.instance_1._off = true;

	var maskedShapeInstanceList = [this.instance_1];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(7).to({_off:false},0).to({alpha:1},7).wait(1));

	// OBJECTS
	this.instance_2 = new lib.Symbol1("synched",0);
	this.instance_2.parent = this;
	this.instance_2.setTransform(64.3,137.5);
	this.instance_2.alpha = 0;
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(7).to({_off:false},0).to({alpha:1},7).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(78.3,79.3,140,140);


// stage content:
(lib.Element_magnifying_glass_emogji_sad_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// book
	this.instance = new lib.afauighfaig();
	this.instance.parent = this;
	this.instance.setTransform(185.1,152.1,1.627,1.627,0,0,0,96.2,101);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(311.6,287.8,272.1,256.8);
// library properties:
lib.properties = {
	id: '37190C7157857E47BB6F38FEC17EB7F1',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['37190C7157857E47BB6F38FEC17EB7F1'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;